Summary:	Recursor for PowerDNS
Name:		pdns-recursor
Version:	3.5.1
%define subrel	1
Release:	%mkrel 1
License:	GPL
Group:		System/Servers
URL:		http://www.powerdns.com/
Source0:	http://downloads.powerdns.com/releases/pdns-recursor-%{version}.tar.bz2
Source1:	pdns-recursor.service
Patch0:		pdns-recursor-3.5.3-dos_fix.diff
Requires(post): systemd >= %{systemd_required_version}
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	libstdc++-devel
BuildRequires:	zlib-devel
BuildRequires:	boost-devel
BuildRequires:	lua5.1-devel

%description
With a small codebase, the PowerDNS Recursor is an advanced recursor currently
serving the DNS resolving needs of over 2 million Internet connections. Besides
high performance (using kqueue or epoll, over 15 thousand qps on commodity
hardware), it provides advanced anti-spoofing measures. In addition, the
program caches server performance and timeouts, making it both network and user
friendly. It also has built-in hooks for making graphs with rrdtool, providing
insight into nameserver performance.

%prep

%setup -q
%patch0 -p1

chmod 644 rrd/*

%build
%serverbuild

export OPTFLAGS=""
export LUA="1"
export LUA_CPPFLAGS_CONFIG="-I%{_includedir}"
export LUA_LIBS_CONFIG="-L%{_libdir} -llua -lm"

%make basic_checks

%make

%install

%makeinstall_std

install -p -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/pdns-recursor.service

rm -f %{buildroot}%{_sysconfdir}/powerdns/*
%{buildroot}%{_sbindir}/pdns_recursor --config > %{buildroot}%{_sysconfdir}/powerdns/recursor.conf

# fix the config
cat >> %{buildroot}%{_sysconfdir}/powerdns/recursor.conf << EOF
socket-dir=/run/powerdns/
soa-minimum-ttl=0
soa-serial-offset=0
aaaa-additional-processing=off
local-port=5300
local-address=127.0.0.1
trace=off
daemon=yes
quiet=on
setgid=powerdns
setuid=powerdns
EOF

install -d %{buildroot}%{_tmpfilesdir}
cat <<EOF > %{buildroot}%{_tmpfilesdir}/%{name}.conf
d /run/powerdns 0755 powerdns powerdns
EOF

rm -rf %{buildroot}%{_sysconfdir}/init.d

%pre
%_pre_useradd powerdns /var/lib/powerdns /bin/false

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%postun
%_postun_userdel %{name}

%files
%doc COPYING README rrd
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/powerdns/recursor.conf
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/%{name}.service
%{_bindir}/rec_control
%{_sbindir}/pdns_recursor
%{_mandir}/man1/pdns_recursor.1*
%{_mandir}/man1/rec_control.1*


%changelog
* Thu Jun 12 2014 luigiwalser <luigiwalser> 3.5.1-1.1.mga3
+ Revision: 635802
- add upstream patch to fix DoS issue due to file descriptor consumption

* Sun May 05 2013 tmb <tmb> 3.5.1-1.mga3
+ Revision: 412346
- BR lua5.1-devel instead of lua-devel
- add missing sha1.lst

  + oden <oden>
    - 3.5.1

  + mitya <mitya>
    - Created package structure for pdns-recursor.

